Bug 859855 - AttributeError: 'NoneType' object has no attribute 'name'
AttributeError: 'NoneType' object has no attribute 'name'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:646851fa9dfb14729c5e7b81e7b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 04:24 EDT by Jan Sedlák
Modified: 2014-02-05 07:17 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:17:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: ifcfg.log (641 bytes, text/plain)
2012-09-24 04:24 EDT, Jan Sedlák
no flags Details
File: release (24 bytes, text/plain)
2012-09-24 04:24 EDT, Jan Sedlák
no flags Details
File: product (6 bytes, text/plain)
2012-09-24 04:24 EDT, Jan Sedlák
no flags Details
File: type (9 bytes, text/plain)
2012-09-24 04:24 EDT, Jan Sedlák
no flags Details
File: environ (925 bytes, text/plain)
2012-09-24 04:24 EDT, Jan Sedlák
no flags Details
File: storage.log (69.78 KB, text/plain)
2012-09-24 04:24 EDT, Jan Sedlák
no flags Details
File: version (2 bytes, text/plain)
2012-09-24 04:24 EDT, Jan Sedlák
no flags Details
File: program.log (36.02 KB, text/plain)
2012-09-24 04:24 EDT, Jan Sedlák
no flags Details
File: anaconda.log (2.39 KB, text/plain)
2012-09-24 04:24 EDT, Jan Sedlák
no flags Details
File: syslog (63.68 KB, text/plain)
2012-09-24 04:24 EDT, Jan Sedlák
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-09-24 04:24 EDT, Jan Sedlák
no flags Details
File: packaging.log (438 bytes, text/plain)
2012-09-24 04:24 EDT, Jan Sedlák
no flags Details
File: cmdline_file (211 bytes, text/plain)
2012-09-24 04:24 EDT, Jan Sedlák
no flags Details
File: ks.cfg (262 bytes, text/plain)
2012-09-24 04:24 EDT, Jan Sedlák
no flags Details
File: anaconda-tb (200.81 KB, text/plain)
2012-09-24 04:24 EDT, Jan Sedlák
no flags Details
File: description (1.29 KB, text/plain)
2012-09-24 04:24 EDT, Jan Sedlák
no flags Details

  None (edit)
Description Jan Sedlák 2012-09-24 04:24:10 EDT
Version-Release number of selected component:
anaconda-18.8

Additional info:
libreport version: 2.0.12
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.0-0.rc6.git0.2.fc18.x86_64
Comment 1 Jan Sedlák 2012-09-24 04:24:12 EDT
Created attachment 616405 [details]
File: ifcfg.log
Comment 2 Jan Sedlák 2012-09-24 04:24:14 EDT
Created attachment 616406 [details]
File: release
Comment 3 Jan Sedlák 2012-09-24 04:24:17 EDT
Created attachment 616407 [details]
File: product
Comment 4 Jan Sedlák 2012-09-24 04:24:19 EDT
Created attachment 616408 [details]
File: type
Comment 5 Jan Sedlák 2012-09-24 04:24:21 EDT
Created attachment 616409 [details]
File: environ
Comment 6 Jan Sedlák 2012-09-24 04:24:23 EDT
Created attachment 616410 [details]
File: storage.log
Comment 7 Jan Sedlák 2012-09-24 04:24:26 EDT
Created attachment 616411 [details]
File: version
Comment 8 Jan Sedlák 2012-09-24 04:24:28 EDT
Created attachment 616412 [details]
File: program.log
Comment 9 Jan Sedlák 2012-09-24 04:24:30 EDT
Created attachment 616413 [details]
File: anaconda.log
Comment 10 Jan Sedlák 2012-09-24 04:24:32 EDT
Created attachment 616414 [details]
File: syslog
Comment 11 Jan Sedlák 2012-09-24 04:24:34 EDT
Created attachment 616415 [details]
File: hashmarkername
Comment 12 Jan Sedlák 2012-09-24 04:24:36 EDT
Created attachment 616416 [details]
File: packaging.log
Comment 13 Jan Sedlák 2012-09-24 04:24:39 EDT
Created attachment 616417 [details]
File: cmdline_file
Comment 14 Jan Sedlák 2012-09-24 04:24:41 EDT
Created attachment 616418 [details]
File: ks.cfg
Comment 15 Jan Sedlák 2012-09-24 04:24:43 EDT
Created attachment 616419 [details]
File: anaconda-tb
Comment 16 Jan Sedlák 2012-09-24 04:24:45 EDT
Created attachment 616420 [details]
File: description
Comment 17 Jan Sedlák 2012-09-24 04:34:58 EDT
Encountered while I have tried to upgrade F17 to F18 using preupgrade tool. It was clean install, fully updated.

Proposing as F18 beta blockerbug per criterion: "The installer must be able to successfully complete an upgrade installation from a clean, fully updated default installation (from any official install medium) of the previous stable Fedora release, either via preupgrade or by booting to the installer manually. The upgraded system must meet all release criteria"
Comment 18 Matteo Settenvini 2012-09-24 11:05:45 EDT
Always reproducible under the same conditions.
Comment 19 Chris Lumens 2012-09-24 15:15:16 EDT
Given that we're moving upgrade stuff out of anaconda, there's not really anything for us to fix here.  Just as an extra point, though, whatever's writing out your kickstart file is doing it wrong:

# ks.cfg generated by preupgrade
lang en_US.UTF-8
keyboard us
bootloader  --upgrade --location=none
clearpart --none
upgrade --root-device=UUID=None
reboot
Comment 20 Jan Sedlák 2012-09-25 03:52:12 EDT
OK, I was using preupgrade, so I think that it was preupgrade what wrote my kickstart file. Changing component to "preupgrade".
Comment 21 Adam Williamson 2012-10-23 22:01:54 EDT
As preupgrade is being deprecated for F18 and fedup won't be using kickstarts or anaconda, it doesn't make any sense to have this sitting in the proposed blocker list, really.
Comment 22 Fedora End Of Life 2013-12-21 03:55:44 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 23 Fedora End Of Life 2014-02-05 07:17:15 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.